Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1415804 - [RFE] Provide katello-agent RPMs via RHSCL so they don't conflict with other RPMs
Summary: [RFE] Provide katello-agent RPMs via RHSCL so they don't conflict with other ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: katello-agent
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 19:03 UTC by Dylan Gross
Modified: 2020-09-10 10:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:04:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dylan Gross 2017-01-23 19:03:19 UTC
1. Proposed title of this feature request  
      
  [RFE] Provide katello-agent RPMs via RHSCL so they don't conflict with other RPMs


  
      
    3. What is the nature and description of the request?  

   Some client systems having the katello-agent installed are using RPMs from 3rd-party repos like EPEL, which provide a different version of some RPMs.  (qpid-proton-c is one example encountered).
      
    4. Why does the customer need this? (List the business requirements here)

   Some of the same named RPMs from the EPEL repository can be present on servers before the katello-agent is installed.  This can lead to unresolveable dependency conflicts when the katello-agent is installed.
      
    5. How would the customer like to achieve this? (List the functional requirements here)  
      
   Ideally, the katello-agent can be installed without manipulating the other software on the client machine.   One suggestion that came up in dialogue was the possibility of using something like RHSCL to provide a differently-named version of the RPM so it would not conflict in the RPMDB, and maybe also to a different name in the filesystem.

    This was just one of the solutions that came up in discussion.  Other solutions may also be acceptable.

    6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
      
   Install EPEL RPM like qpid-proton-c of a different version than provided by the Red Hat Satellite tools repo.   Then install the katello-agent.

    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  

   I don't believe so.
      
    8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  

   No.
      
    9. Is the sales team involved in this request and do they have any additional input?  
      
    10. List any affected packages or components.  

    katello-agent, qpid-proton-c, others?
      
    11. Would the customer be able to assist in testing this functionality if implemented?  

    Yes

Comment 3 Bryan Kearney 2018-09-04 18:54:30 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 4 Bryan Kearney 2018-09-04 19:04:11 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.